﻿body {
    margin: 0px;
}

button {
    cursor: pointer;
}

h1 {
    font-size: 2rem !important;
    margin: .67rem 0 !important;
}

h2 {
    font-size: 1.5rem !important;
    margin: .75rem 0 !important;
}

h3 {
    font-size: 1.17rem !important;
    margin: .83rem 0 !important;
}

h4 {
    font-size: 1.17rem !important;
    margin: 1.12rem 0 !important;
}

h5 {
    font-size: .83rem;
    /*margin: 1.5rem 0*/
    margin-top: 12px;
    margin-bottom: 24px;
}

h6 {
    font-size: .75rem;
    margin: 1.67rem 0 !important;
}




.content-block, .responsive-paddings {
    margin-top: 10px !important;
    margin-left: 10px !important;
    margin-right: 10px !important;
    padding: 10px !important;
}

.layout-header {
    /*flex: 0 0 auto;*/
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
    /*position: relative;*/
    z-index: 1501;
    display: grid;
    grid-template-columns: 1fr min-content min-content;
    grid-template-rows: 1fr;
    align-items: center;
    justify-content: center;
    /*border: 1px solid red;*/
}

    .layout-header .layout-header-middle {
        padding-right: 20px;
    }

.layout-header-middle input {
    padding: 8px 10px 7px !important;
}

.layout-header .layout-header-right {
    /*align-self: flex-end;*/
    /*justify-content: center;*/
    text-align: right;
    padding-right: 20px;
    /*border: 1px solid blue;*/
}

.layout-header-right ul {
    list-style-type: none; /* Remove bullets */
    padding: 0; /* Remove padding */
    margin: 0; /* Remove margins */
}

/* CSS Override to show message text for loading panel */
#tlInstagramComments .dx-loadpanel-message {
    display: block !important;
}

#tlInstagramComments .dx-loadpanel-content {
    width: 300px !important;
    height: 150px !important;
    max-width: 300px !important;
    max-height: 150px !important;
    border-radius: 6px !important;
}


.dx-treelist .dx-row > td {
    padding: 3px 4px 3px 4px !important;
}


.dx-treelist-content .dx-treelist-table .dx-row > td {
    vertical-align: middle !important;
}

.dx-treelist-rowsview .dx-treelist-empty-space {
    width: 18px;
}

.dx-treelist-select-all .dx-checkbox {
    left: 22px;
}

.dx-treelist-icon-container.dx-editor-inline-block {
    padding-right: 0 !important;
}


.dx-drawer-wrapper {
    height: 100vh !important;
}

.dx-drawer-panel-content, .dx-drawer-panel-content .dx-overlay-content {
    background: #0A1C5C;
    /*height: 100vw !important;*/
    height: unset !important;
    /*min-height: 100vw;*/
    min-height: 100vh;
}
    .dx-drawer-panel-content * {
        color: #fff !important;
        font-weight: 600;
    }

    .dx-drawer-panel-content .dx-overlay-content {
        /*width: max-content !important;*/
    }

    

.dx-treeview-node {
    padding-left: 0px;
}
.dx-treeview-item-without-checkbox.dx-state-selected {
    background-color: rgba(3,169,244,1);
    
}
.dx-treeview-item.dx-state-hover {
    background-color: rgba(3,169,244,.6);
}

/* remove > symbol in Nav when item has children*/
.dx-treeview-toggle-item-visibility::before {
    visibility: hidden;
}

.dx-treeview-item .dx-treeview-item-content > .dx-icon {
    margin-right: 15px;
}

.dx-treelist-header-panel {
    padding: 0px !important;
}

.dx-drawer-shrink .dx-drawer-panel-content {
    padding-top: 20px;
}
